[问题]按置顶贴WIKI的方法装不了xserver-xgl,但是beryl可以装

GnomeShell/Unity/Beryl/AiGLX/XGL/Compiz Fusion
回复
lenin
帖子: 174
注册时间: 2007-05-23 14:37
送出感谢: 0
接收感谢: 0

[问题]按置顶贴WIKI的方法装不了xserver-xgl,但是beryl可以装

#1

帖子 lenin » 2007-06-05 20:21

~$ sudo gedit /etc/apt/sources.list
增加了
## 安装Xgl&Beryl专用
deb http://ubuntu.beryl-project.org/ feisty main
然后
~$ wget http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg -O- | sudo apt-key add -
--20:11:09-- http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg
=> `-'
正在解析主机 ubuntu.beryl-project.org... 208.113.193.9, 195.114.19.35, 80.77.247.17, ...
正在连接 ubuntu.beryl-project.org|208.113.193.9|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 200 OK
长度: 2,415 (2.4K) [application/x-troff-me]

100%[====================================>] 2,415 --.--K/s

20:11:16 (205.06 KB/s) - `-' saved [2415/2415]

OK
再然后
~$ sudo apt-get install xserver-xgl beryl-ubuntu beryl-manager
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 无法找到软件包 xserver-xgl


fglrxinfo信息如下:
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON 9600
OpenGL version string: 2.0.6334 (8.34.8)
再试beryl:
~$ sudo apt-get install beryl-ubuntu beryl-manager正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 无法找到软件包 beryl-ubuntu
~$ sudo apt-get install beryl
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
将会安装下列额外的软件包:
beryl-core beryl-manager beryl-plugins beryl-plugins-data beryl-settings
beryl-settings-bindings libberyldecoration0
下列【新】软件包将被安装:
beryl beryl-core beryl-manager beryl-plugins beryl-plugins-data
beryl-settings beryl-settings-bindings libberyldecoration0
共升级了 0 个软件包,新安装了 8 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 3664kB 的软件包。
解压缩后会消耗掉 9916kB 的额外空间。
您希望继续执行吗?[Y/n]
[/quote]

请各位学长指点
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#2

帖子 bones7456 » 2007-06-05 20:23

你的系统啥版本??
关注我的blog: ε==3
lenin
帖子: 174
注册时间: 2007-05-23 14:37
送出感谢: 0
接收感谢: 0

#3

帖子 lenin » 2007-06-05 20:29

~$ sudo lsb_release -a
Password:
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 7.04
Release: 7.04
Codename: feisty
~$ uname -r
2.6.20-16-generic
7.04, 2.6.20-16
lenin
帖子: 174
注册时间: 2007-05-23 14:37
送出感谢: 0
接收感谢: 0

#4

帖子 lenin » 2007-06-05 20:52

好像有人说要用官方驱动。下载中。6.10中过刀的,不晓得新的好不好用。。。一会儿汇报
lenin
帖子: 174
注册时间: 2007-05-23 14:37
送出感谢: 0
接收感谢: 0

#5

帖子 lenin » 2007-06-05 20:58

置顶贴里说的装官方驱动+xgl+beryl,可是xserver-xgl源里没有?下了官方驱动也没用阿
lenin
帖子: 174
注册时间: 2007-05-23 14:37
送出感谢: 0
接收感谢: 0

#6

帖子 lenin » 2007-06-05 21:21

haha

Install Beryl on Ubuntu Feisty with AIGLX

http://wiki.beryl-project.org/wiki/Ins ... with_AIGLX

红宝石终于出来了。ubuntu自带的桌面效果还是
合成扩展(Composite extension)不可用
回复

回到 “桌面特效”